Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/scripts/makepkg
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg')
-rwxr-xr-xscripts/makepkg8
1 files changed, 4 insertions, 4 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index aa53990a..cec871e7 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -736,6 +736,10 @@ fi
# build
msg "Starting build()..."
+#check for "exit on syntax error" shell option
+echo $SHELLOPTS | grep errexit 2>&1 >/dev/null
+set_e=$?
+
if [ "x$LOGGING" = "1" ]; then
BUILDLOG="${startdir}/${pkgname}-${pkgver}-${pkgrel}-${CARCH}.log"
if [ -f "$BUILDLOG" ]; then
@@ -750,10 +754,6 @@ if [ "x$LOGGING" = "1" ]; then
mv "$BUILDLOG" "$BUILDLOG.$i"
fi
- #check for "exit on syntax error" shell option
- echo $SHELLOPTS | grep errexit 2>&1 >/dev/null
- set_e=$?
-
#use 'errexit' to bail on syntax error
[ $set_e -eq 1 ] && set -e
build 2>&1 | tee "$BUILDLOG"